## Package Win32::GUI::TabStrip

Back to the Packages

- Constructor

  - new Win32::GUI::TabStrip(PARENT, %OPTIONS)

- Methods

  - AdjustRect(LEFT, TOP, RIGHT, BOTTOM, [FLAG])

  - ChangeItem(ITEM, %OPTIONS)

  - Count()

  - DeleteItem(ITEM)

  - DisplayArea()

  - GetItemRect()

  - GetString(ITEM)

  - HitTest()

  - InsertItem(%OPTIONS)

  - MinTabWidth(WIDTH)

  - Padding(X,Y)

  - Reset()

  - RowCount()

  - Select(INDEX)

  - SelectedItem()

- Events

  - Change()

  - Changing()

### Constructor

new Win32::GUI::TabStrip(PARENT, %OPTIONS)

  Creates a new TabStrip object; can also be called as PARENT->AddTabStrip(%OPTIONS). Class specific `%OPTIONS` are:

        -bottom    => 0/1 (default 0)
        -buttons   => 0/1 (default 0)
        -hottrack  => 0/1 (default 0)
        -imagelist => Win32::GUI::ImageList object
        -justify   => 0/1 (default 0)
        -multiline => 0/1 (default 0)
        -right     => 0/1 (default 0)
        -vertical  => 0/1 (default 0)

### Methods

AdjustRect(LEFT, TOP, RIGHT, BOTTOM, [FLAG])

  [TBD]

ChangeItem(ITEM, %OPTIONS)

  Change most of the options used when the item was created (see InsertItem()). Allowed `%OPTIONS` are:

          -image
          -text

Count()

  Returns the number of items in the TabStrip.

DeleteItem(ITEM)

  Removes the specified ITEM from the TabStrip.

DisplayArea()

  [TBD]

GetItemRect()

  [TBD]

GetString(ITEM)

  Returns the string associated with the specified ITEM in the TabStrip.

HitTest()

  [TBD]

InsertItem(%OPTIONS)

  Adds an item to the TabStrip. Allowed `%OPTIONS` are:

       -image => NUMBER
         the index of an image from the associated ImageList
       -index => NUMBER
         the position for the new item (if not specified, the item
         is added at the end of the control)
       -text  => STRING
         the text that will appear on the item

MinTabWidth(WIDTH)

  [TBD]

Padding(X,Y)

  [TBD]

Reset()

  Deletes all items from the TabStrip.

RowCount()

  [TBD]

Select(INDEX)

  Selects the zero-based INDEX item in the TabStrip.

SelectedItem()

  Returns the zero-based index of the currently selected item.

### Events

Change()

  Sent when the current selection has changed. Use `SelectedItem()` to determine the current selection.

Changing()

  Sent before the current selection changes. Use `SelectedItem()` to determine the current selection. The event should return 0 to prevent the selection changing, 1 to allow it.